OLT Service Profile
5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addServiceProfile | POST | Create new service profile |
| deleteServiceProfile | POST | Delete an existing service profile |
| editServiceProfile | POST | Modify an existing service profile |
| getServiceProfileList | GET | Get service profile list |
| getServiceProfilePage | GET | Get service profile page |
addServiceProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/profiles/add
Create new service profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ServiceProfileDTO
| Field | Type | Required | Description |
|---|---|---|---|
serviceId | integer | yes | Service profile ID should be within the range of 1 to 512 |
isInUse | boolean | no | Whether the service profile is in use |
name | string | no | Name of the service profile. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.). |
ethNum | integer | yes | Number of eth port.EthNum should be within the range of -1 to 24.-1 indicates that the number of ports is adaptive. The default value is -1. |
maxAdaptiveEthNum | integer | no | Set the maximum number of automatically recognized ETH ports.When ethNum is set to -1, a prompt will appear.MaxAdaptiveEthNum should be within the range of 0 to 24 |
potsNum | integer | yes | Number of ONU pots.PotsNum should be within the range of -1 to 8.-1 indicates that the number of ports is adaptive. The default value is -1. |
maxAdaptivePotsNum | integer | no | Set the maximum number of automatically recognized potsWhen potsNum is set to -1, a prompt will appear.MaxAdaptivePotsNum should be within the range of 0 to 4 |
macLearning | string | yes | Enable/disable ONT MAC address learning function. MacLearning should be a value as follows:DISABLE,ENABLE |
nativeVlan | string | yes | The ONT's concern for Native VLAN .NativeVlan should be a value as follows:UNCONCERN,CONCERN |
multicastMode | string | yes | Set the multicast mode of the ONT. MulticastMode should be a value as follows:UNCONCERN,IGMP_SNOOPING,OLT_CONTROL |
multicastForward | string | yes | Set the multicast packet forwarding mode of the ONT. NativeVlan should be a value as follows:UNCONCERN,TAGGED,UNTAGGED |
taggedType | string | no | TaggedType should be a value as follows:TRANSPARENT,TRANSLATION |
taggedVlanId | integer | no | TaggedVlanId should be within the range of 1–4094 |
onuBindNum | integer | no | The number of ONU/ONT instances that use this Service template. |
// omada_call_operation
{
"operationId": "addServiceProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create new service profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteServiceProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/profiles/delete
Delete an existing service profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema IntIdListRequest
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<integer> | yes | ID list |
// omada_call_operation
{
"operationId": "deleteServiceProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing service profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editServiceProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/profiles/edit
Modify an existing service profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ServiceProfileModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
serviceId | integer | yes | Service profile ID should be within the range of 1 to 512 |
name | string | no | Name of the service profile. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.). |
ethNum | integer | no | Number of eth port.EthNum should be within the range of -1 to 24.-1 indicates that the number of ports is adaptive. The default value is -1. |
maxAdaptiveEthNum | integer | no | Set the maximum number of automatically recognized ETH ports.When ethNum is set to -1, a prompt will appear.MaxAdaptiveEthNum should be within the range of 0 to 24 |
potsNum | integer | no | Number of ONU pots.PotsNum should be within the range of -1 to 8.-1 indicates that the number of ports is adaptive. The default value is -1. |
maxAdaptivePotsNum | integer | no | Set the maximum number of automatically recognized potsWhen potsNum is set to -1, a prompt will appear.MaxAdaptivePotsNum should be within the range of 0 to 4 |
macLearning | string | no | Enable/disable ONT MAC address learning function. MacLearning should be a value as follows:DISABLE,ENABLE |
multicastMode | string | no | Set the multicast mode of the ONT. MulticastMode should be a value as follows:UNCONCERN,IGMP_SNOOPING,OLT_CONTROL |
multicastForward | string | yes | Set the multicast packet forwarding mode of the ONT. NativeVlan should be a value as follows:UNCONCERN,TAGGED,UNTAGGED |
taggedType | string | no | TaggedType should be a value as follows:TRANSPARENT,TRANSLATION |
taggedVlanId | integer | no | TaggedVlanId should be within the range of 1–4094 |
nativeVlan | string | no | The ONT's concern for Native VLAN .NativeVlan should be a value as follows:UNCONCERN,CONCERN |
// omada_call_operation
{
"operationId": "editServiceProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing service profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getServiceProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/profiles/list
Get service profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | ServiceProfileListQueryDTO | no | Object: its fields (searchKey, sorts, searchFields) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getServiceProfileList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get service profile list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getServiceProfilePage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/profiles/page
Get service profile page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | ServiceProfilePageQueryDTO | no | Object: its fields (searchKey, sorts, size, number, searchFields) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getServiceProfilePage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get service profile page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.